                            CJPOS Program History 

5.00     Released 03/28/95
=====================================================================
   * The completely revised CJPOS system is first released. Superseded
     the old system which ends at Version 2.41. New system is not 
     compatible with old database structures. Standard dBase III 
     format is utilized with new system.

5.05     Released 04/17/95
=====================================================================
   * Fixed customer YTD & LTD sales amounts.
   * User interface modified.

5.06     Released 04/20/95
=====================================================================
   * Pack the estimate files at close - ESTIMATE.DBF, ESTCUST.DBF

5.07     Released 04/26/95
=====================================================================
   * Fixed problem of overwriting JOURNAL.DBF

5.08     Released 04/27/95
=====================================================================
   * Labor/Services Departments database can be modified. (LABORS.DBF)
    
   * Department / Category names can be modified & added.

5.09     Released 05/02/95
=====================================================================
   * Minor bug fixes. Released to multiple BBS' across the U.S.

5.10     Released 05/13/95
=====================================================================
   * Added a receipt/report printer setup screen to the System Setup.
     Allows user to select the ports, printer type and several printing
     options.

   * Can modify categories/ department names in the Inventory menu.

   * Fixed problems with adding new categories and new items. Very 
     stable now in that regard.

   * Database changes: 
         CTRLSWIT.DBF, CONTROL.DBF were added.
         DBFINFO.DBF was modified.

5.11     Released 05/24/95
=====================================================================
   * Customer database maintenance. Can delete or modify a current 
     customer.

   * Deletion of old SKUs added to the Inventory screen. Modified 
     Inventory printing reports. Enhanced the entry of numeric values 
     in any Inventory screen.

   * Fixed bug in System Setup of improperly saving some information.

   * Database changes: 
         MENUS.DBF was modified.


5.12     Released 06/02/95 
=====================================================================
   * Toggle to direct SKU code entry instead of using pop-up
     menus to build a receipt. If the SKU CODE was scanned in when
     adding to inventory then the barcode will be accepted.

   * ZIP code capture. Once a new ZIP code is entered the CITY,
     STATE, & Phone area code is recalled and inserted for every
     new customer. Saves the time of typing the city in each time.

   * Password security. '#' appear instead of the password itself 
     when the system prompts for it. Prevent prying eyes of learning
     your password to sensitive areas.

   * Can now add new customers directly in without having to create
     an invoice. Therefore you can add any present customers if you'd like.

   * Customer History added. A review of previous transactions for a 
     customer can be performed. Can limit report by choosing a date
     from which to begin report. The default date is 01/01/95. The date
     is NOT critical.

   * Database changes: 
         MENUS.DBF, DBFINFO.DBF were modified. ZIPCODES.DBF was added.

5.13     Released 06/08/95
=====================================================================
   * Fixed problem while printing inventory reports.

5.14     Released 06/21/95
=====================================================================
   * Added Void Function to 'Sale Options'
   * Can Move categories to a new department

5.15     Released 06/29/95
=====================================================================
   * Display markup % while in Inventory 'Price / Cost'
   * Pack deleted records in selected databases.
   * ADDED RETURN/EXCHANGE FEATURE
   * Remove category capability
   * Database changes: 
     MENUS.DBF, DBFINFO.DBF were modified. PACKDBF.DBF was added.

5.16     Released 07/17/95
=====================================================================
   * Printing of employee list & deletion of employees.
   * Packing of CUSTOMER.DBF & CATEGORY.DBF if records were deleted.
   * Ability to combine customer history for duplicates in customer
     file. When deleting a customer, this consolidation can occur.
   * Database changes: 
     DBFINFO.DBF, MENUS.DBF, PACKDBF.DBF were modified. 

5.17     Released 07/21/95
=====================================================================
   * MANUAL.TXT was completed.
   * Fixes to G.S.T & ASCII export files.
   * Submitted to the Association of Shareware Professionals for
     certification.


5.18     Released 08/10/95
=====================================================================
   * Changed screen saver.
   * Added more mouse capabilities.
   * Fixed reprint of transaction from previous month.
   * Fixed problem with screen on large invoices; deleting/changing
     customer information.
   * Added Store Account charge payments.
   * Database changes: 
     DBFINFO.DBF, MENUS.DBF, ACCOUNTS.DBF, CREDITS.DBF, TENDTYPE.DBF 
     were modified. 

5.19     Released 08/17/95
=====================================================================
   * Added record #18 in CTRLSWIT.DBF which will turn on - if set to
     a 'T' - international date system of dd/mm/yy instead of standard
     U.S. system of mm/dd/yy.
   * Page spacing on Inventory printing was fixed.
   * Enabled Labor type departments for refund/exchanges.
   * Database changes: 
     MENUS.DBF, CTRLSWIT.DBF were modified. 

5.20     Released 09/04/95
=====================================================================
   * Association of Shareware Professionals accepts Christopher Ryba
     & CJPOS for membership. New README.TXT to reflect ASP policies.
   * Finished Accounts Receiveable - added store billing report.
   * Enabled employee login before transactions.
   * Added several new system switches to CTRLSWIT.DBF. These can only
     be changed using a dBase database browser.

     SWITCH_NUM DESCRIPT                  VALUE          
     ____________________________________________
         17    European Date: dd/mm/yy  |  F  |
         18    SKU Entry Mode is Default|  F  |
         19    Print Customer Descript 1|  T  |
         20    Print Customer Descript 2|  T  |
         21    Print Customer Descript 3|  T  |
         22    Print Customer Descript 4|  T  |
         23    Print /Show    Descript 5|  F  | 
         24    Print /Show    Descript 6|  F  | 
         25    Combine Cust FNAME&LNAME |  F  | <-For business to business
                                                  users.
         26    Always Prompt Price&Cost |  F  | 

   * Database changes: 
     MENUS.DBF, CTRLSWIT.DBF were modified. 

5.21     Released 09/09/95
=====================================================================
   * Bug fixes: reprint invoice, tendering on returns, screen display
     when number of depts exceeds 15.
   * Sent to ASP CD-ROM for inclusion.


5.30     Released 10/02/95
=====================================================================
   * Labor type department category change bug corrected.
   * Customer History after combining customers corrected.
   * Canned Labor descriptions can be expanded to multiple-lines
     with the selection of one canned labor. The expanded description
     can be saved for future use or modified later.
   * Departments appear in sorted name order. 
   * Departments can be deleted.
   * Customer file first & last name fields expanded to 15 characters
     each. Also records last active date for future reports.
   * Added two store definable fields to customer file. A total of 
     six can be used. 
   * Canadian P.S.T can be set to calculate after G.S.T if your
     province requires this calculation method.
   * Single line items can be set to non-taxable or non-PST or non-GST 
     using the 'Adjust' menu.
   * Fixed problem when adding new customers directly to database.
   * Fixed customer info maintenance problem when working with more than
     three customers at a time.
   * Fixed saving employee birthdate in employee file.
   * Discounts correctly display in Sales Analysis.
   * Print range of dates for payouts.

   * DATABASE CHANGES:
     DBFINFO.DBF, PACKDBF.DBF, CTRLSWIT.DBF were changed.
     Added LABORS.DBT for expanded descriptions.
     Added CUSTOMER.DBT & ESTCUST.DBT for customer notes in near future.
     New structures for :
      ACCOUNTS.DBF, CONTROL.DBF, CUSTOMER.DBF, ESTCUST.DBF, ESTIMATE.DBF
      LABORS.DBF, PAYOUTS.DBF 
      Contact Cuyahoga Computing for special upgrade files if previous
      version is installed.

5.31     Released 10/10/95
=====================================================================
   * Payouts error fixed. Tax on consumables fixed. Adjust on multiple
     quantities fixed.
   * Added customer & estimate notes.
   * Combining of categories added.
   * Added print driver for Cannon BJ Series printers.

5.33     Released 11/11/95
=====================================================================
   * Added types of payouts -PAYTYPES.DBF - to store payouts.
   * Refined & enhanced Payout Report. Adding sort by payout reason.
   * Fixed Department Name modifying.
   * Consumbles can be switched off for a single sale.
   * Set selling/pricing
   * DATABASE CHANGES:
     DBFINFO.DBF, MENUS.DBF, PACKDBF.DBF were changed.
     PAYTYPES.DBF, SETLIST.DBF, SKUSETS.DBF were added.


5.35     Released 11/29/95
=====================================================================
   * Added editing of SKU numbers to Inventory - Modify Name area.
   * Modified the new stock/item addition process. Now a single screen
     from which vendors can be chosen/added, part/item location assigned
     & minimum re-order qty/pack amount assigned.
   * DATABASE CHANGES:
     DBFINFO.DBF, SKUSETS.DBF were changed
     PACKCODE.DBF, VENDORS.DBF, VENDORS.DBT were added.
     New structures for:
     INVENTRY.DBF, SKUFILE.DBF, ESTCUST.DBF, ESTIMATE.DBF, WORKDATA.DBF

5.37     Released 12/11/95
=====================================================================
   * Fixed bug of adding items after a new category when two lists are shown.
   * Added creation of a ESTIMFAX.TXT file if estimate needs to be faxed.
   * Flat Rate labor switch (F8) for price only on labor items.
   * Check for floppy in drive A: when closing register.

5.41     Released 03/18/96
=====================================================================
   * Enabled dialing of customer home or work phone # from customer 
     information screen.
   * Universal Update of Prices in Inventory. Change costs, then
     enter desired markup %, and rounding value for new prices.
   * Accounts receivable "House Charge" billing/payment statement
     corrected.
   * System reset added.
   * Reports Added: Short/Long Journal report of all activity.
                    Vendor Listing report.
   * Layaway Account recording/tracking.
   * Tax rate / Amount Overrides.
   * Consumable rate / Amount Overrides.
   * Reduced memory requirements.
   * Direct adding/editing of vendors in system.
   * 'Online' help - the system manual can be viewed while running.
   * The number of invoices printed can be changed when closing a sale.
   * Max Void/Return/Xchange amount before Manager password.
   * Max Discount amount before Manager password.
   * Screen saver time in seconds. 0 secs. will disable it.
   * New Payout reason categories, selecting vendor for certain payouts.
   * Cash drawer support.
   * Editing/Adding of Labor Rates. 
   
   * DATABASE CHANGES:
     The following were changed
    CONTROL.DBF,  CTRLSWIT.DBF, CTRLVAL.DBF, DBFINFO.DBF
    MENUS.DBF,    PACKDBF.DBF,  PAYOUTS.DBF, PAYTYPES.DBF
    PRODTOTL.DBF, WORKDATA.DBF
    '----------------------------------------------------
    LAYCUST.DBF, LAYITEM.DBF, LAYPAYMT.DBF were added.


5.44     Released 05/01/96
=====================================================================
   * Enhanced Store Account Statement.
   * Store Credits Added.
   * Customer tax categories, credit limits, bill to #.
   * Average Cost Of Goods Sold added to inventory file and Sales Analysis.
   * SKU # display option added to receipts.
   * Location Report added to Inventory print options; Location and
     On Hand amount displayed at item quantity entry screen.
   * Allows re-opening of a closed date.
   * Enabled the 'Flat Rate' Labor option as default.
   * Internationalization of dates and currency symbol.
   * Deletion of Labors corrected.
   * Voids of Accounts Receivable, Layaways added.
   * Stores non-taxable id for re-use.
   * Fixed problem caused by tendering after a customer history.

   * DATABASE CHANGES:
     The following were changed
    CREDITS.DBF   CUSTOMER.DBF  CONTROL.DBF  CTRLSWIT.DBF
    CTRLVAL.DBF   DBFINFO.DBF   ESTCUST.DBF  LAYCUST.DBF
    MENUS.DBF     PACKDBF.DBF   INVENTRY.DBF TENDLOG.DBF  TENDTYPE.DBF
    '----------------------------------------------------
    NOTAX.DBF     TENDDATA.DBF  TAXCODES.DBF were added.

5.45     Released 05/13/96
=====================================================================
   * Reduced memory requirements
   * Allow categories with very large number of items
   * Fixed DBF error when entering new postal/ZIP code.

5.48     Released 07/19/96
=====================================================================
   * Added Manufacturer's number for same item from multiple vendors.
     Notes on a particular item can also be saved.

   * Added Work Order Information or 'Complaints' for estimates and
     invoices.

   * Allows searching of items by description, SKU number, or
     Manufacturer's Number

   * Added new Receiving Feature. Purchase Orders can be created and
     then received. Vendor Drop Shipments without a Purchase Order
     can also be received. Stock On Hand Quantities and Average Cost
     are adjusted after receiving items.

   * Estimates/Work Orders can be set as: Save Only, Approved, or
     Completed. New report added to show items needed for approved
     estimates.

   * New Reports in Reporting Menu: Receiving Log Report, Sales Total
     Report, Profit/Loss Totals, Employee Commissions, Non-Taxable
     Sales, Layaway Account List, Accounts Receivable List, Estimate
     Parts Required, and Estimate/Work Order List.

   * New Monthly Reports Feature - a multitude of reports for a range
     of days can be selected to be created and printed. Including
     many of the reports listed above, a new Payouts by Vendor report
     was added.

   * New Closing Reports Feature - A set of reports to create and print
     at the Closing of the System. Saves time of selecting each report
     individually.

   * DATABASE CHANGES:
     The following were changed:
     DBFINFO.DBF   ESTCUST.DBF  MENUS.DBF   REPORTS.DBF  TENDLOG.DBF
     SKUFILE.DBF
     '-------------------------------------------------------------
     The following were added:
     ACNTPAY.DBF   RECVITEM.DBF RECVLOG.DBF
     ESTW_ORD.DBT  SKUFILE.DBT  TENDLOG.DBT


5.49     Released 08/23/96
=====================================================================
   * Re-compile for 286 and higher machines. Multiple small bug fixes.

5.51     Released 10/28/96
=====================================================================
   * Accrual Accounting switch. If set to 'No' then the cash accounting
     method is used. Affects Store Account charges.
   * Acct Recvbl Finance Charges can be accessed.
   * Customer Notifiers can be prompted for at the close of every
     sale. Allows 'reminders' to be sent out to past customers.
     The type of reminders can be set up and then selected.
   * New method for receipt 'trailers' or messages - can now be changed within
     CJPOS in the System Setup area. If desired, different trailers
     for Check or Charge Sales can be set up.
   * A 'Multiple trailer' switch - pick which receipt trailer to
     use at the close of a sale.
   * Fixed problem on reprint of set items.
   * Log In/Out for managers.
   * Disable printing of customer phone on receipts if desired.
   * A 'Buy Back' switch for those businesses who add to their
     inventory by buying used goods.
   * Greatly enhanced Sales Total report and Invoice summary report.

   * DATABASE CHANGES:
     The following DBF's were changed:
     CREDITS CUSTOMER  CTRLSWIT DBFINFO  ESTCUST  ESTIMATE  JOURNAL
     JOURFORM  LAYITEM  LAYPAYMT  MENUS  REPORTS  TENDLOG  TENDTYPE
     ZIPCODES
     '-------------------------------------------------------------
     The following were added:
     CUSTMAIL  LEDGER  NOTIFIER  NOTICODE  RCPHEAD  RCPITEM  RCPMSG
     SALETYPE   

5.52     Released 12/03/96
=====================================================================
   * Numerous small bug fixes. Enhanced reprinting to include account
     payments and to show last 50 invoices.
   * DATABASE CHANGES: PAYOUTS.DBF

5.52 Release D    12/21/96
=====================================================================

5.52 Release I    01/11/97
=====================================================================
   * Added ability to do Customer Info capture at start of
     sale if desired.
   * SKU Description search fix.
5.53 Release A    01/17/97
=====================================================================
   * Clothing Retail module added. Requires CJPOS3.EXE.
   * New switches: 
      -Ask for Receipt Copies / Give Finalizing Warning
      -Cashiers Log In/Out for Shift
      -Print Mechanic/Service Person next to Line Item
      -Print Discount %, Savings by line - Not Total
      -Prompt Qty for Scanned Items
    * Data Files Added/Changed: CJPOS.BAT, CTRLSWIT.DBF, CTRLVAL.DBF
           DBFINFO.DBF, MENUS.DBF, REPORTS.DBF, SKMATRIX.DBF

Futures Releases
=====================================================================
    A Windows based CJPOS Reports program was released in Nov. 96.
    This program can print mailing labels using all customers or
    only those meeting a certain criteria. It can also export the
    customer database to a text file or other file formats such as
    Excel, Word, etc. Currently only available at the CJPOS web
    site: www.cjpos.com

   Planned features to be added include the following:
    * Accounts Payable which can be moved to store payouts.
    * Reprint of customer transactions by name or phone #.
    * More Reports: Cashier totals, Voids.
    * Special orders, send sales.
    * Payroll hour entry.
    
   

Christopher J. Ryba
Cuyahoga Computing Co.
cjr@cjpos.com
216-587-1590


